Name: gnome-session
Version: 2.2.0.2
Release: alt1

Summary: The gnome session programs for the GNOME GUI desktop environment
License: LGPL
Group: Graphical desktop/GNOME
Url: ftp://ftp.gnome.org

Source: %name-%version.tar.bz2
Source1: gnome-nautilus.png
Source2: Gnome.xpm

%define libgnomecanvas_ver 2.2.0.1
%define libgnomeui_ver 2.2.0.1-alt2
%define scrollkeeper_ver 0.3.11-alt2
%define GConf_ver 2.2.0
%define sawfish2_ver 2.0
%define metacity_ver 2.4.21
%define esound_ver 0.2.29

PreReq: GConf2 >= %GConf_ver scrollkeeper >= %scrollkeeper_ver
PreReq: xinitrc

#Requires: sawfish2 >= %sawfish2_ver
Requires: metacity >= %metacity_ver

#this require provided by design package
Requires: gnome-session-splash

Requires: libgnomecanvas >= %libgnomecanvas_ver
Requires: libgnomeui >= %libgnomeui_ver

BuildPreReq: libgnomecanvas-devel >= %libgnomecanvas_ver
BuildPreReq: libgnomeui-devel >= %libgnomeui_ver
BuildPreReq: libGConf2-devel >= %GConf_ver
BuildPreReq: esound-devel >= %esound_ver

Conflicts: gnome-core

# Automatically added by buildreq on Tue Feb 04 2003
BuildRequires: GConf2 ORBit2-devel XFree86-devel XFree86-libs XFree86-utils bonobo-activation-devel esound-devel fontconfig freetype2 glib2-devel glibc-devel-static gnome-vfs2-devel libGConf2-devel libORBit2 libXft libart_lgpl-devel libatk-devel libaudiofile-devel libbonobo2-devel libbonoboui-devel libexpat libgnome-devel libgnomecanvas-devel libgnomeui-devel libgtk+2-devel libjpeg-devel liblinc-devel libpango-devel libpopt-devel libssl-devel libwrap-devel libxml2-devel pkgconfig zlib-devel

%description
GNOME (GNU Network Object Model Environment) is a user-friendly
set of applications and desktop tools to be used in conjunction with a
window manager for the X Window System.  GNOME is similar in purpose and
scope to CDE and KDE, but GNOME is based completely on free
software.  The gnome-core package includes the basic programs and
libraries that are needed to install GNOME.

GNOME session provides the session tools for the the gnome desktop.

%prep
%setup -q

# This hack force configure to use libwrap.
%__subst 's,libwrap.a,libwrap.so,' configure

%build
export ac_cv_path_RSH_COMMAND=/usr/bin/rsh
%configure PATH=$PATH:/sbin \
	--disable-schemas-install \
	--with-reboot-command="/sbin/reboot" \
	--with-halt-command="/sbin/poweroff"

%make_build

%install
export GCONF_DISABLE_MAKEFILE_SCHEMA_INSTALL=1
export OMF_DIR=%buildroot%_var/lib/scrollkeeper
%makeinstall
unset GCONF_DISABLE_MAKEFILE_SCHEMA_INSTALL
unset OMF_DIR

%__cat <<__START_GNOME__ >startgnome2
#!/bin/sh

# turn on fonts antialiasing
export GDK_USE_XFT=1

if [ -x /usr/bin/nautilus-mozilla-content-view ]; then
  export BROWSER=nautilus
  export HELP_BROWSER=nautilus
else
  export HELP_BROWSER=yelp
fi

# Metacity is a default window manager
if [ -x /usr/bin/metacity ]; then
    export WINDOW_MANAGER=metacity
fi

/usr/X11R6/bin/xsetroot -cursor_name watch
exec /usr/bin/gnome-session "\$@"
/usr/X11R6/bin/xsetroot -cursor_name X_cursor
__START_GNOME__

%__install -pD -m755 startgnome2 %buildroot/%_bindir/startgnome2

%__mkdir_p %buildroot/%_sysconfdir/X11/wmsession.d/
%__cat << EOF > %buildroot/%_sysconfdir/X11/wmsession.d/02Gnome2
NAME=Gnome2
ICON=%_iconsdir/Gnome2.xpm
DESC=Gnome 2 Environment
EXEC=%_bindir/startgnome2
SCRIPT:
exec %_bindir/startgnome2
EOF

%__install -pD -m644 %SOURCE1 %buildroot/%_datadir/pixmaps/gnome-nautilus.png
%__install -pD -m644 %SOURCE2 %buildroot/%_iconsdir/Gnome2.xpm

%find_lang %name-2.0

# custom splash
%__rm -rf %buildroot%_datadir/pixmaps/splash/gnome-splash.png
%__ln_s %_datadir/design/gnome/splash/gnome-splash.png \
%buildroot%_datadir/pixmaps/splash/gnome-splash.png

%post
%gconf2_install %name
%update_wms

%postun
%clean_wms

%files -f %name-2.0.lang
%_bindir/*
%_datadir/control-center-2.0/*/*
%_datadir/gnome/*
%_datadir/pixmaps/*
%_datadir/omf/*
%_iconsdir/Gnome2.xpm
%config %_sysconfdir/X11/*/*
%config %_sysconfdir/gconf/*/*
%_mandir/man?/*
%doc AUTHORS ChangeLog NEWS README

%changelog
* Tue Feb 04 2003 Yuri N. Sedunov <aris@altlinux.ru> 2.2.0.2-alt1
- 2.2.0.2

* Wed Jan 22 2003 Yuri N. Sedunov <aris@altlinux.ru> 2.2.0.1-alt1
- 2.2.0.1

* Tue Jan 21 2003 Yuri N. Sedunov <aris@altlinux.ru> 2.2.0-alt1
- 2.2.0

* Tue Jan 07 2003 Yuri N. Sedunov <aris@altlinux.ru> 2.1.90-alt1
- 2.1.90

* Tue Dec 17 2002 Yuri N. Sedunov <aris@altlinux.ru> 2.1.5-alt1
- 2.1.5

* Tue Dec 10 2002 Yuri N. Sedunov <aris@altlinux.ru> 2.1.4-alt1
- 2.1.4

* Thu Nov 28 2002 Yuri N. Sedunov <aris@altlinux.ru> 2.1.3-alt1
- 2.1.3

* Mon Nov 11 2002 Yuri N. Sedunov <aris@altlinux.ru> 2.1.2-alt2
- Built with new libwrap.

* Mon Nov 04 2002 Yuri N. Sedunov <aris@altlinux.ru> 2.1.2-alt1
- 2.1.2

* Fri Oct 04 2002 Yuri N. Sedunov <aris@altlinux.ru> 2.1.0-alt1
- 2.1.0

* Fri Oct 04 2002 Stanislav Ievlev <inger@altlinux.ru> 2.0.7-alt1.3
- remove pixmaps into design package (this package must provides
  "gnome-session-splash")

* Wed Oct 02 2002 Yuri N. Sedunov <aris@altlinux.ru> 2.0.7-alt1.2
- Fonts antialiasing turned on by default.
- Metacity is a default window manager.

* Mon Sep 30 2002 Stanislav Ievlev <inger@altlinux.ru> 2.0.7-alt1.1
- update buildreq to remove rsh

* Wed Sep 18 2002 Yuri N. Sedunov <aris@altlinux.ru> 2.0.7-alt1
- 2.0.7
- Metacity added to requires list.

* Sat Jun 22 2002 Igor Androsov <blake@altlinux.ru> 2.0.1-alt1
- New release
- gnome-session-2.0.1-splash.patch
- Fix from Yuri Sedunov <aris@altlinux.ru>
	+ Added Gnome2.xpm
	+ Replace command by macros
	+ cleanup spec
	+ clean_wms run in postun
	
* Thu May 16 2002 Igor Androsov <blace@mail.ru> 1.5.19-blk1
- New version from CVS

* Mon May 13 2002 Igor Androsov <blace@mail.ru> 1.5.18-blk1
- Changes for AltLinux
- cleanup spec
- Added wmsession and script

* Tue Mar 05 2002 Chris Chabot <chabotc@reviewboard.com>
- Final cleanups
- make .spec.in

* Sun Feb 15 2002 Chris Chabot <chabotc@reviewboard.com>
- initial spec file for gnome-session
